BitchX(1)

NAZWA
BitchX - zaawansowany klient Internet Relay Chat

SKŁADNIA
BitchX [-aAbdfqxvBFRZP] [-R tty][-H nazwa_hosta] [-c kanał] [-p port] [-r plik] [-n ksywa] [-l plik] [-L plik] [ksywa] [lista serwerów]

OPIS
BitchX jest bardzo zmodyfikowanym klientem ircII. Zawiera wiele rzeczy takich jak wbudowane oferowanie CDCC (XDCC), wbudowana ochrona przed flood-em, itd. Łatwiejszym jest pisanie skryptów pod BitchX ponieważ w przeciwieństwie do czystego, vanilla ircII, połowa skryptu nie musi być poświęcona na zmiany wyglądu ircII. Zawiera też wiele nowych udogodnień, takich jak skanowanie portów, zaawansowany TCL, odtwarzacz CD, klient poczty elektronicznej, odłączanie od terminala sterującego, itp. BitchX - Bazuje na EPIC Software Labs epic ircII (1998). Wersja (BitchX-75p2-8) -- Data (19980708). Ta strona jest zmodyfikowaną wersją istniejącej strony dla Debiana, ponieważ była przestarzała, a potrzebna była jakaś nowsza.

OPCJE

-A  Nie wyświetla początkowej grafiki ansi.

-R <tty>
    Nadmierne przywracanie odwieszonych procesów, nie używane obecnie

-H <nazwa_hosta>
    Używa wirtualnej nazwy hosta, jeśli to tylko możliwe.

-c <kanał>
    Automatycznie wchodzi na kanał <kanał> po podłączeniu się do serwera

-b  Ładuje .bitchxrc lub .ircrc po podłączeniu się do serwera.

-p <port>
    Używa <port> do zainicjowania połączenia z serwerem (normalnie 6667).

-f  Mówi BitchX-owi o tym, że twój terminal używa sterowania przepływem (^S/^Q), więc BitchX nie powinien używać tych kodów.

-F  Mówi BitchX-owi o tym, że twój terminal nie używa sterowania przepływem (co jest opcją domyślną).

-d  Instruuje, że używamy "głupiego" terminala.

-Z  Używa adresu NAT podczas wykonywania dcc. Pozwala ci określić twój prawdziwy adres jeśli używasz maszyny będącej NAT-owaną (tłumaczenie adresów). Jeśli np. twój adres jest mapowany N-do-M (IP-masquerading jest szczególnym przypadkiem tłumaczenia adresów w stylu N-to-1). Odwiedź http://www.csn.tu-chemnitz.de/HyperNews/get/linux-ip-nat.html po więcej informacji na ten temat.

-P  Włącza lub wyłącza tworzenie pliku pid.ksywa dla działającego programu.

-q  Nie ładuje przy starcie pliku ~/.ircrc

-r <plik>
    Czyta <plik> by otrzymać listę serwerów IRC. <plik> jest oddzieloną białymi znakami listą nazw serwerów.

-n <ksywa>
    Ustawia twoją ksywkę na <ksywa>.

-a  Używa domyślnej listy serwerów podanej w linii poleceń.

-x  Uruchamia BitchX w trybie śledzenia (debug mode).

-v  Pokazuje numer wersji.

-B  Zmusza BitchX by wykonał fork i powrócił do powłoki.

-l <plik>
    Używa <pliku> zamiast .ircrc

-L <plik>
    Używa <pliku> zamiast .ircrc i korzysta z rozszerzeń $ .

ZOBACZ TAKŻE
Jak wszystkie klienty IRC BitchX posiada mnóstwo wewnętrznej dokumentacji. Spróbuj czasem użyć opcji /help Jest tam równierz mnóstwo innego typu rzeczy w twoim katalogu instalacyjnym, pod nazwą docs

PLIKI

/usr/local/lib/irc/
    Globalny, systemowy katalog konfiguracyjny.

~/.BitchX/BitchX.sav
    Osobisty plik konfiguracyjny.

~/.BitchX/BitchX.ircnames
    Domyślne, losowo wybierane prawdziwe imiona.

~/.BitchX/BitchX.formats
    Osobiste formaty wyświetlania BitchX-a.

~/.BitchX/BitchX.reasons
    Domyślna losowa wiadomość przy kopaniu.

~/.BitchX/BitchX.quit
    Domyślna losowa wiadomość przy wyjściu.

~/.Bitchx/BitchX.help
    Plik pomocy użytkownika.

~/.Bitchx/screens
    Pamięć dla BitchX-owych sesji screen.

ORYGINALNY AUTOR STRONY MAN
Wichert Akkerman <wakkerma@debian.org>

ODPOWIEDZIALNY ZA NOWE WERSJE
Robert Durdle <dragoon@nightmail.com>

Autor BitchX-a
Colten Edwards <panasync@bitchx.com>